Bug Hunting Session
Bug 68339 - Other: BASIC Syntax error
Summary: Other: BASIC Syntax error
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Jens Carl
URL:
Whiteboard: BSA target:6.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-20 14:47 UTC by markus
Modified: 2019-05-03 06:26 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Tool for comparing insurances (138.50 KB, application/x-msexcel)
2013-08-20 14:47 UTC, markus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markus 2013-08-20 14:47:52 UTC
Created attachment 84344 [details]
Tool for comparing insurances

Problem description: 
BASIC Syntax error
unexpected problem;
buttons don't work

Steps to reproduce:
1. just open the file attached
2. ....
3. ....

Current behavior:

Expected behavior:
No errors,
buttons working
Operating System: Fedora
Version: 4.1.0.4 release
Comment 1 Julien Nabet 2013-08-30 06:04:11 UTC
On pc Debian x86-64 with master sources updated yesterday, I reproduced the problem.

Here's the error:
BASIC syntax error.
Unexpected symbol: Not.

Here's the line of the error:
Do While fld_Versicherer(byt_Spalte).bol_Sichtbar <> Not bol_Sichtbar Or _

Noel: one for you?
Comment 2 raal 2015-03-27 15:49:39 UTC
Still error in Version: 4.5.0.0.alpha0+
Build ID: 28c61871e876e6a2cac47439f768504b1a4c94a0
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-03-27_06:30:21

BASIC syntax error.
Unexpected symbol: Not.
Comment 3 tommy27 2016-04-16 07:24:48 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-05-22 13:26:01 UTC Comment hidden (obsolete)
Comment 5 Commit Notification 2019-05-03 06:25:15 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9f71d0f3f98db02ad28712f229665ce910dc0e6e%5E%21

tdf#68339 Other: BASIC Syntax error

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.